// JavaScript Document
///jf noblet novembre 2001
window.history.forward(1);
var	ie4 = (document.all) && (!document.getElementById)
var	ns4 = document.layers
var dom = document.getElementById; //ie5 ou ns6
var net = (navigator.appName.substring(0,3) == "Net")

//fonction ŕ placer dans <BODY ONLOAD="initnav()"   >
//function initnav() //précautions oratoires
//{ 	
if (ns4)
		{layerRef = "document.layers";v=".top=";h=".left="
	 	styleRef = "";ctn=".document.write('";ctn2="')";
	 	cro1="['";cro2="']";bgd=".bgColor";eg="";cro3=""
		}
	if (ie4)
		{layerRef = "document.all";cro3="";h=".pixelLeft=";v=".pixelTop="
	 	styleRef = ".style";ctn=".innerHTML";ctn2="";
		cro1="['";cro2="']";bgd=".backgroundColor";eg="="
		}
	if (dom)
		{layerRef ="document.getElementById";
		styleRef = ".style";ctn2="";eg="="
		cro1='("';h=".left=";v=".top="
		cro2='")';bgd=".backgroundColor";ctn=".innerHTML";
		cro3='"';//nécessaire pour encadrer une variable texte 
		}
		
		//points
var rep1="?"; var rep2="?"; var rep3="?"; var rep4="?";var rep5="?"; var rep6="?"; var rep7="?"; var rep8="?";var rep9="?";var rep10="?"
var pt=eval(parent.haut.document.f1.t2.value); var qu=0;var va=0;var tf;var q=eval(parent.haut.document.f1.t1.value)
var pt2=0;
//parent.haut.document.f1.t1.value=eval(q+1);
//calculatrice
function calcul(){
document.f1.t7.value=eval(document.f1.t6.value)}
//validation

function valider(){MM_preloadImages('x2.jpg');
	if(va==0)
	{
rep1=document.f1.t1.value+" ms"		
rep2=document.f1.t2.value+" m/s"		
rep3=document.f1.t3.value+" ms"		
rep4=document.f1.t4.value+" Hz"	
rep5=document.f1.t5.value+" m"		
if(document.f1.t1.value==0.5){pt+=0.5;pt2+=0.5;qu+=1}
if(document.f1.t2.value==346){pt+=0.5;pt2+=0.5;qu+=1}
if(document.f1.t3.value==0.05){pt+=0.25;pt2+=0.25;qu+=1}
if(document.f1.t4.value==20000){pt+=0.25;pt2+=0.25;qu+=1}
if(document.f1.t5.value==0.0173){pt+=0.5;pt2+=0.5;qu+=1}
	if(parent.haut.document.f1.tst13.value=="1"){alert("inutile d'essayer de tricher")}
	if(parent.haut.document.f1.tst13.value==""){	
	ptt=0.01*Math.round(pt*100);
	parent.haut.document.f1.t2.value=eval(ptt);
	ptt2=0.01*Math.round(pt2*100);
	parent.haut.document.f1.h2.value=eval(ptt2);
	parent.haut.document.f1.h3.value=temps2;
	duree1=eval(parent.haut.document.f1.h4.value);
	duree2=eval(duree1+s);
	parent.haut.document.f1.h5.value=duree2;
	parent.haut.document.f1.h4.value=s;
	parent.haut.document.f1.tst13.value="1"

	}
	va=1;}
var contenu ="<div id='barre' style='position:relative; width:650px; height:22px; z-index:20; visibility: visible;'><table width='100%'  border='1' cellpadding='0' cellspacing='0' class='slt'><tr><td width='98%'>C O R R E C T I O N</td><td width='2%'><a href='#' onMouseOut='MM_swapImgRestore()' onMouseOver=MM_swapImage('Imagex','','x2.jpg',1) onclick='fermer()'><img src='x.jpg' alt='fermer' name='Imagex' width='21' height='21' border='0'></a></td></tr></table></div>"+"<table width=100%  border=0 cellspacing=0 cellpadding=0 class=rep><tr><td width=86><img src=artemis.gif width=86 height=178 alt='&#913;&#961;&#964;&#951;&#956;&#953;&#962;'></td><td width=90%><table width=100%  border=1 cellspacing=0 cellpadding=0 class=rep><p class=text><div align=center>"+
 "<td width=14%>questions</td><td width=23%>votre r&eacute;ponse </td><td width=63%>solution</td></tr><tr>"+
 "<td>1</td><td>"+document.f1.t1.value+" ms</td><td>t=sh x n= 0.25 x 2 =<span class=Style2> 0.5 ms </span></td>"+
 "</tr><tr><td>2</td><td>"+document.f1.t2.value+" m/s</td><td>c=d/t = 0.175/0.0005 = <span class=Style2>346 m/s </span></td>"+
 "</tr><tr><td>3</td><td>"+document.f1.t3.value+" ms</td><td>5 p&eacute;riodes en 1 div soit 0.25 ms donc"+
 "<span class=Style2>T = 0.05 ms </span></td></tr><tr><td>4</td><td>"+document.f1.t4.value+" Hz</td>"+
  "<td>f=1/T(s) =1/ 0.00005 = <span class=Style2>2000 Hz </span></td></tr><tr><td>5</td>"+
  "<td>"+document.f1.t5.value+" m</td><td>l = cxT = 346 x 0.00005 =<span class=Style2> 0.0173 m </span></td></tr><tr><td colspan=3>"+
  "<p>vous avez "+qu+" r&eacute;ponse(s) exacte(s), vous avez gagn&eacute; "+ptt2+" point(s) <br>"+temps+" </p>"+
  "<p>(vous pouvez aussi d&eacute;placer cette fen&ecirc;tre &agrave; la souris) </p></td></tr></table></td></tr></table>"
	
	eval(layerRef+cro1+"solu"+cro2+ctn+eg+cro3+contenu+cro3+ctn2); 
	 	if (ns4){eval(layerRef+cro1+"solu"+cro2+".document.close()");}
	 	eval(layerRef+cro1+"solu"+cro2+styleRef+".visibility = 'visible'");
		}
		
		
		function fermer(){
			eval(layerRef+cro1+"solu"+cro2+styleRef+".visibility = 'hidden'");
			eval(layerRef+cro1+"barre"+cro2+styleRef+".visibility = 'hidden'");
		}
		
//Disable right click script III- By Renigade (renigade@mediaone.net)
//For full source code, visit http://www.dynamicdrive.com

var message="";
///////////////////////////////////
function clickIE() {if (document.all) {(message);return false;}}
function clickNS(e) {if 
(document.layers||(document.getElementById&&!document.all)) {
if (e.which==2||e.which==3) {(message);return false;}}}
if (document.layers) 
{document.captureEvents(Event.MOUSEDOWN);document.onmousedown=clickNS;}
else{document.onmouseup=clickNS;document.oncontextmenu=clickIE;}

document.oncontextmenu=new Function("return false")
